#include "solverc.h"
#include "globalc.h"
#include "fcsolver.h"
#include "pcsolver.h"
#include "cpcsolver.h"

void solve_metr_problem ()
{
  
  switch (Cp->tprob){
  case fully_coupled_mech_trans:{
    solve_fcouplprob ();
    break;
  case par_coupl_mech_trans:{
    solve_pcouplprob ();
    break;
  }
  case growing_par_coupl_mech_trans:{
    //solve_gpcouplprob ();
    solve_pcouplprob ();
    break;
  }
  }
  default:{
    fprintf (stderr,"\n\n unknown problem type is required in main function (%s, line %d).\n",__FILE__,__LINE__);
  }
  }
}
